FROM python:3.10

ARG BUILDKIT_CONTEXT_KEEP_GIT_DIR=UNSET

RUN apt-get install git

COPY ./ /opt/ctp_builder
WORKDIR /opt/ctp_builder/
RUN git describe || git fetch
RUN pip install -e .

ENTRYPOINT [ "ctpbuild", "generate", "--config=/data/ctp-builder/config.yaml", "--output-dir=/data/shared/ctp-config"]